Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository.impl
Class ProjectFileImpl

    java.lang.Object
      com.stc.swift.repository.impl.SwiftObjectImpl
          com.stc.swift.repository.impl.SwiftProjectElementImpl
              com.stc.swift.repository.impl.ProjectFileImpl

All Implemented Interfaces:
  com.stc.model.common.ProjectElement, com.stc.projectfile.repository.ProjectFile, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

    public class ProjectFileImpl

extends SwiftProjectElementImpl
implements com.stc.projectfile.repository.ProjectFile

An implementation of the project file interface

Version:
  1.0

Field Summary
`static java.lang.String` | `PRIOR_REPOSITORY_FILE_PATH`
`static java.lang.String` | `PROJECT_ELEMENT_TYPE`
`static java.lang.String` | `REPOSITORY_FILE_PATH` const for map

Fields inherited from interface com.stc.projectfile.repository.ProjectFile
`RCS_ID, REPOSITORY_FILESYSTEM_PATH_PREFIX`

Constructor Summary
`ProjectFileImpl()` Empty constructor
`ProjectFileImpl(java.lang.String name)`

Method Summary
`java.lang.String` | `getClassNameAlias()` Returns the class name alias
`java.lang.String` | `getClassNameAlias(java.lang.Class aClazz)` Returns the class name alias
`java.lang.String` | `getPriorRepositoryPath()`
`java.lang.String` | `getProjectElementType()`
`java.lang.String` | `getRepositoryPath()`
`void` | `setPriorRepositoryPath(java.lang.String path)`

Methods inherited from class com.stc.swift.repository.impl.SwiftProjectElementImpl
`getParentProject, setParentProject`

Methods inherited from class com.stc.swift.repository.impl.SwiftObjectImpl
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, equals, getACLInfo, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPersistableSupport, getPropertyMap, getReferenceID, getRelationshipMap, getVersionInfo, hashCode, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, resolve, setACLInfo, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPropertyMap, setReferenceID, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, getParentProject, setDescription, setName, setParentProject`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### REPOSITORY_FILE_PATH

    public static final java.lang.String REPOSITORY_FILE_PATH

  const for map

  See Also:
    Constant Field Values

### PROJECT_ELEMENT_TYPE

    public static final java.lang.String PROJECT_ELEMENT_TYPE

See Also:
  Constant Field Values

### PRIOR_REPOSITORY_FILE_PATH

    public static final java.lang.String PRIOR_REPOSITORY_FILE_PATH

See Also:
  Constant Field Values

Constructor Detail

### ProjectFileImpl

    public ProjectFileImpl()
                    throws com.stc.repository.RepositoryException

  Empty constructor

  Throws:
    `com.stc.repository.RepositoryException`

### ProjectFileImpl

    public ProjectFileImpl(java.lang.String name)
                    throws com.stc.repository.RepositoryException

Throws:
  `com.stc.repository.RepositoryException`

Method Detail

### getProjectElementType

    public java.lang.String getProjectElementType()
                                           throws com.stc.repository.RepositoryException

  Specified by:
    `getProjectElementType` in interface `com.stc.model.common.ProjectElement`
  Specified by:
    `getProjectElementType` in class `SwiftProjectElementImpl`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.getProjectElementType()`

### getClassNameAlias

    public java.lang.String getClassNameAlias()

  Returns the class name alias

  Specified by:
    `getClassNameAlias` in interface `com.stc.repository.persistence.client.Marshalable`
  Overrides:
    `getClassNameAlias` in class `SwiftObjectImpl`
  Returns:
    String class name alias
  Since:
    1.0
  See Also:
    `Marshalable.getClassNameAlias()`

### getClassNameAlias

    public java.lang.String getClassNameAlias(java.lang.Class aClazz)

  Returns the class name alias

  Overrides:
    `getClassNameAlias` in class `SwiftObjectImpl`
  Parameters:
    `aClazz` - the Class
  Returns:
    String class name alias
  Since:
    1.0

### getRepositoryPath

    public java.lang.String getRepositoryPath()
                                       throws com.stc.repository.RepositoryException

  Specified by:
    `getRepositoryPath` in interface `com.stc.projectfile.repository.ProjectFile`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `com.stc.projectfile.ProjectFile`

### getPriorRepositoryPath

    public java.lang.String getPriorRepositoryPath()
                                            throws com.stc.repository.RepositoryException

  Specified by:
    `getPriorRepositoryPath` in interface `com.stc.projectfile.repository.ProjectFile`
  Throws:
    `com.stc.repository.RepositoryException`

### setPriorRepositoryPath

    public void setPriorRepositoryPath(java.lang.String path)
                                throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.